Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-53486

Continue supporting import QtQuick.Enterprise.VirtualKeyboard

    XMLWordPrintable

    Details

    • Type: Suggestion
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Out of scope
    • Affects Version/s: 5.7.0
    • Fix Version/s: None
    • Component/s: Virtual Keyboard
    • Labels:
      None

      Description

      Commit a84522bb6a806736fe105dfdfc9b0d0c8f46f2ee replaced the 'QtQuick.Enterprise.VirtualKeyboard' import with 'QtQuick.VirtualKeyboard'.

      However, this makes it hard to write apps supporting both Qt 5.6 and older, and Qt 5.7 and newer. Because it's a QML Import one has to resort to duplicating .qml files, and using e.g. QQmlFileSelector to select the 'right' one.

      Why can't we keep the QtQuick.Enterprise.VirtualKeyboard import around for compatibility reasons?

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              • Assignee:
                kkohne Kai Köhne
                Reporter:
                kkohne Kai Köhne
              • Votes:
                1 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes